/* ###################################### */
/* #                                    # */
/* #  Un compilateur pour le langage    # */
/* #        ALGO                        # */
/* #                                    # */
/* # Unite d'analyse syntaxique         # */
/* #                                    # */
/* # BRUNO Emmanuel 1998                # */
/* # bruno@univ-tln.fr                  # */
/* ###################################### */

#include "algo_arbre.h"
#include "algo_lexical.h"

/* fonction d'analyse des expressions */
noeud facteur();//noeud arbre_facteur);
noeud terme();//noeud arbre_terme);
noeud expression_simple();//noeud expression_simple);
noeud expression();//noeud arbre_expression);
typedef int objet;

/* fonctions d'analyse des instructions */
void montrer_la_valeur_de(noeud arbre_affichage);
void demander_une_valeur_pour(noeud arbre_saisie);
void affecter_la_valeur_de(noeud arbre_affectation);
void si_alors(noeud arbre_condition);
void tant_que(noeud arbre_repetition);
void instructions(noeud arbre_programme);


/* analyse des declarations */
void liste_variables();
void suite_declaration(char * premiere_variable,noeud arbre_suite_declaration);
void typage_liste_objet(objet premier, int tp,noeud arbre_suite_declaration);
void declarations(noeud arbre_declaration);


/* analyse de l'Algorithme */
void algorithme(noeud arbre_algo);

/* fonction de verification de la syntaxe */
void teste_syntaxe(char *nom_fichier);



